Bug 16084 - log4perl.conf not properly set on packages
Summary: log4perl.conf not properly set on packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 14167
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-16 19:12 UTC by Tomás Cohen Arazi
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16084: log4perl.conf not properly set on packages (2.54 KB, patch)
2016-03-16 19:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16084: log4perl.conf not properly set on packages (2.62 KB, patch)
2016-03-18 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16084: log4perl.conf not properly set on packages (2.72 KB, patch)
2016-03-25 08:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16084: [QA Follow-up] Correct three occurrences of __KOHA_CONF_DIR__ (2.31 KB, patch)
2016-03-25 08:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-03-16 19:12:42 UTC
log4perl is not correctly set on created instances, on packages setup. This is due to two missing entries. To test:

- Run koha-create to create an instance or just fire kohadevbox:ansible
=> FAIL: Notice the instance's koha-conf.xml points to __KOHA_CONF_DIR__ instead of /etc/koha/sites/kohadev/ on the log4perl entry.
=> FAIL: the /etc/koha/sites/kohadev/log4perl.conf contains __LOG_DIR__ instead of /var/log/koha/kohadev/
Comment 1 Tomás Cohen Arazi 2016-03-16 19:28:41 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-03-18 09:51:34 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-03-25 08:24:32 UTC
Created attachment 49576 [details] [review]
Bug 16084: log4perl.conf not properly set on packages

- Run koha-create to create an instance or just fire kohadevbox:ansible
=> FAIL: Notice the instance's koha-conf.xml points to __KOHA_CONF_DIR__
         instead of /etc/koha/sites/kohadev/ on the log4perl entry.
=> FAIL: the /etc/koha/sites/kohadev/log4perl.conf contains __LOG_DIR__
         instead of /var/log/koha/kohadev/
- Apply this patch and pick the koha-conf-site.xml.in and koha-create files
- Create a new instance
=> SUCCESS: All placeholders are filled correctly.
- Sign off

Regards

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2016-03-25 08:24:35 UTC
Created attachment 49577 [details] [review]
Bug 16084: [QA Follow-up] Correct three occurrences of __KOHA_CONF_DIR__

This bug correctly inserts substitutions for this variable.
Four occurrences will now be changed. The line for log4perl.conf is now
correct, but the three other changes point to a location that does not
exist: /etc/koha/sites/$instance/zebradb.
That should just be: /etc/koha/zebradb.
All three cases concern the explain files.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Brendan Gallagher 2016-03-25 21:08:50 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 6 Julian Maurice 2016-04-01 12:16:13 UTC
Patches pushed to 3.22.x, will be in 3.22.6